Index: code/branches/cpp11_v2/src/modules/invader/Invader.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/Invader.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/invader/Invader.h	(revision 10817)
@@ -49,7 +49,7 @@
             Invader(Context* context);
 
-            virtual void start();
-            virtual void end();
-            virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command
+            virtual void start() override;
+            virtual void end() override;
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
 
             void spawnEnemy();
Index: code/branches/cpp11_v2/src/modules/invader/InvaderCenterPoint.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderCenterPoint.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderCenterPoint.h	(revision 10817)
@@ -47,5 +47,5 @@
             InvaderCenterPoint(Context* context); //checks whether the gametype is actually Invader.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h	(revision 10817)
@@ -46,7 +46,7 @@
             InvaderEnemy(Context* context);
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
             virtual bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
-            virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs);
+            virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs) override;
             virtual void setPlayer(InvaderShip* player){this->player = player;}
 
Index: code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.h	(revision 10817)
@@ -47,6 +47,6 @@
             InvaderEnemyShooter(Context* context);
 
-            virtual void tick(float dt);
-            virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs);
+            virtual void tick(float dt) override;
+            virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs) override;
         protected:
             void shoot();
Index: code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.h	(revision 10817)
@@ -40,7 +40,7 @@
             InvaderHUDinfo(Context* context);
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowLives(bool value)
Index: code/branches/cpp11_v2/src/modules/invader/InvaderShip.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderShip.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderShip.h	(revision 10817)
@@ -47,18 +47,18 @@
             InvaderShip(Context* context);
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             // overwrite for 2d movement
-            virtual void moveFrontBack(const Vector2& value);
-            virtual void moveRightLeft(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
+            virtual void moveRightLeft(const Vector2& value) override;
 
             // Starts or stops fireing
-            virtual void boost(bool bBoost);
+            virtual void boost(bool bBoost) override;
 
             //no rotation!
-            virtual void rotateYaw(const Vector2& value){}; 
-            virtual void rotatePitch(const Vector2& value){};
+            virtual void rotateYaw(const Vector2& value) override{}; 
+            virtual void rotatePitch(const Vector2& value) override{};
             //return to main menu if game has ended.
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateRoll(const Vector2& value) override;
 
             virtual void updateLevel();
@@ -67,5 +67,5 @@
 
         protected:
-            virtual void death();
+            virtual void death() override;
         private:
             Invader* getGame();
Index: code/branches/cpp11_v2/src/modules/invader/InvaderWeapon.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderWeapon.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderWeapon.h	(revision 10817)
@@ -48,5 +48,5 @@
             virtual ~InvaderWeapon();
         protected:
-            virtual void shot();
+            virtual void shot() override;
             WeakPtr<Projectile> projectile;
     };
Index: code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.h	(revision 10817)
@@ -47,5 +47,5 @@
             InvaderWeaponEnemy(Context* context);
         protected:
-            virtual void shot();
+            virtual void shot() override;
     };
 }
